# List financial institutions

**GET** `/institutions`

List all financial institutions. Filtered results can be retrieved with extra parameters in your queries.

### Query Parameters

- `country_code` `string` — Filter institutions by country code.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `name` `string` — Filter institutions by name.
- `routing_number_type` `string` — Filter institutions by routing number type.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/institutions?routing_number_type=bic&name=victoria&country_code=GB' \
  -u :<YOUR API KEY>
```

**Response 200**

```jsonc
{
  "has_more": false,
  "institutions": [
    {
      "ach_eligible": true,
      "check_eligible": true,
      "city": "TAMPA",
      "country_code": "US",
      "created_at": "2021-10-03T00:01:08Z",
      "full_name": "JPMORGAN CHASE BANK, NA",
      "phone_number": "8134323700",
      "realtime_eligible": false,
      "realtime_rfp_eligible": false,
      "routing_number": "021000021",
      "routing_number_type": "aba",
      "short_name": "JPMCHASE",
      "state": "FL",
      "street_address": "10430 HIGHLAND MANOR DRIVE",
      "updated_at": "2024-06-07T12:34:00Z",
      "wire_eligible": true,
      "wire_settlement_only": false,
      "zip_code": "33610"
    },
    {
      "ach_eligible": true,
      "check_eligible": true,
      "city": "MINNEAPOLIS",
      "country_code": "US",
      "created_at": "2021-10-13T16:40:48Z",
      "full_name": "WELLS FARGO BANK",
      "phone_number": "8007452426",
      "realtime_eligible": false,
      "realtime_rfp_eligible": false,
      "routing_number": "011100106",
      "routing_number_type": "aba",
      "short_name": "",
      "state": "MN",
      "street_address": "MAC N9301-041",
      "updated_at": "2024-06-04T17:54:50Z",
      "wire_eligible": false,
      "wire_settlement_only": false,
      "zip_code": "55479"
    }
    // ...
  ]
}
```
